/*
Filtre pour doxygen :
  - ajoute "using namespace SOPHYA;" dans les fichiers *.cc
*/
#include <stdio.h>
#define LENLINE 4096

int main(int narg,char *arg[])
{
 FILE *file;
 char line[LENLINE];

 /* Checks */
 if ( narg <= 1 ) {
   strcpy(line,"No argument for dox_filter\n");
   fputs(line,stdout);
   exit(-1);
 }
 if( ( file = fopen(arg[1],"r") ) == NULL ) {
   sprintf(line,"File %s could not be opened\n",arg[1]);
   fputs(line,stdout);
   exit(-2);
 }

 /* filter */
 strcpy(line,"using namespace SOPHYA;\n");
 fputs(line,stdout);
 while ( fgets(line,LENLINE,file) != NULL ) fputs(line,stdout);
}
